1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

nach Impreza Update 7.1 Fehlermeldung im Frontend

Dieses Thema im Forum "Installation" wurde erstellt von Mahnix, 23. Januar 2020.

  1. Mahnix

    Mahnix New Member

    Registriert seit:
    25. Oktober 2018
    Beiträge:
    1
    Zustimmungen:
    0
    Hallo,

    ich habe seit gestern Abend folgende Fehlermeldung im Frontend einer von mir erstellten Webseite (https://julias-havelherberge.de/)

    "Warning: Invalid argument supplied for foreach() in /www/htdocs/w017c675/julias-havelherberge.de/wp-content/plugins/us-core/functions/helpers.php on line 2472"

    - es wurde eine neue Aktualisierung von Impreza auf 7.1 aufgespielt (natürlich ohne vorher eine Sicherung anzulegen), habe alle PlugIns aktuell und auch das PlugIn "UpSoltion Core" an dem es ein Problem zu geben scheint deaktiviert, gelöscht und neu installiert - keine Änderung
    Webseite liegt bei All inkl.

    Theme läuft übers Impreza Child Theme
    - die neuste PHP-Version läuft auch bei All inkl. (7.3)
    - Wordpress 5.3.2 ist auch aktuell
    - Bildausschnitt der Fehlerzeile PHP -> siehe Bild im Anhang
    installierte PlugIns -> siehe Bild im Anhang

    Bin da gerade mit meinem Latein bissl am Ende was es noch sein kann.

    MfG Stephan
     

    Anhänge:

  2. r23

    r23 Well-Known Member

    Registriert seit:
    9. Dezember 2006
    Beiträge:
    4.616
    Zustimmungen:
    69
    was verstehst du an der Fehlermeldung nicht? Vereinfacht ausgedrück lieferst du Datenmüll an die foreach Funktion.

    Handbuch foreach
    https://www.php.net/manual/de/control-structures.foreach.php

    Lösung. Man übergibt nur Objekte und Arrays an die Funktion und prüft den Inhalt _vorher_

    PHP:
    Entschuldige, aber du musst dich registrieren oder anmelden um den Inhalt sehen zu können!
    Jetzt kann es aber auch möglich sein, dass dein Objekt nicht richtig ist. Auch dafür gibt es eine Möglichkeit der Überprüfung
    https://www.php.net/Traversable

    Oder du räumst dein Menu auf.
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden